Subject: Re: bug#9864: 24.0.90; dired/copying+dwim-target : misplaced directory

From: Stefan Monnier <[email-masked]>
Date: Tue, 25 Oct 2011 08:47:27 -0400

> It's unclear what do you expect.

The current behavior is wrong.  I see 3 valid outcomes:

    /tmp/dest
    /tmp/dest/a
    /tmp/dest/a/foo
or
    /tmp/dest
    /tmp/dest/a
    /tmp/dest/foo
or
    an error message or a prompt about the overwrite.

> If you want to get this:

> /tmp/dest
> /tmp/dest/a
> /tmp/dest/a/foo

> then you have to remove the final slash in the minibuffer
> after calling `dired-do-copy'.  So instead of:

>   Copy a to: /home/work/emacs/test/dired-dwim/dest/ RET

> you rather need this:

>   Copy a to: /home/work/emacs/test/dired-dwim/dest RET

That's counter intuitive: I'd expect either the terminating slash to be
of no consequence or else I'd expect "...dired-dwim/dest" to result in
the second option (i.e. copy the content of "source/a" into "dest") and
"...dired-dwim/dest" to result in the first option (i.e. copy the
contents of "source/a" into "dest/a").

        Stefan